Bug 111798 - inability to compile lmule 1.3.1 src distribution
inability to compile lmule 1.3.1 src distribution
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-10 02:46 EST by Need Real Name
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 09:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-10 02:46:37 EST
Description of problem:segmentation fault during compilation of lmule


Version-Release number of selected component (if applicable):
1.3.1

How reproducible:
./configure --with-wx-config=/usr/bin/wxgtk-2.4-config && make

Steps to Reproduce:
1.
2.
3.
  
Actual results:
if g++ -DHAVE_CONFIG_H -D__GSOCKET_STANDALONE__ -I. -I. -I..    
-D__NOGTK__ -g    -I/usr/lib/wx/include/gtk-2.4 -DGTK_NO_CHECK_CASTS
-D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES
-I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-I/usr/X11R6/include -Isrc  -MT AddFriend.o -MD -MP -MF
".deps/AddFriend.Tpo" \
  -c -o AddFriend.o `test -f 'AddFriend.cpp' || echo './'`AddFriend.cpp; \
then mv ".deps/AddFriend.Tpo" ".deps/AddFriend.Po"; \
else rm -f ".deps/AddFriend.Tpo"; exit 1; \
fi
In file included from /usr/include/wx/choicdlg.h:4,
                 from /usr/include/wx/wx.h:77,
                 from muuli_wdr.h:16,
                 from AddFriend.cpp:27:
/usr/include/wx/generic/choicdgg.h:133: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [AddFriend.o] Error 1
make[3]: Leaving directory `/home/vladimir/downloads/lmule-1.3.1/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/vladimir/downloads/lmule-1.3.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/vladimir/downloads/lmule-1.3.1'
make: *** [all] Error 2


Expected results:
lmule executable

Additional info:
Comment 1 Jakub Jelinek 2004-10-07 07:46:55 EDT
Is that reproduceable?  If yes, please provide a preprocessed source
(add -save-temps).
Comment 2 Jakub Jelinek 2004-11-24 09:38:16 EST
If you have preprocessed testcase, please reopen.

Note You need to log in before you can comment on or make changes to this bug.